<?php

// Fichier de configuration

// Titre du site
define('WEB_TITLE', 'Projet images');

// Nom du dossier principal 
define('WEB_DIR_NAME', 'projet-images');

// Nom du dossier contenant les images et qui est donc un sous-dossier du répertoire principal 
define('IMAGE_DIR_NAME', 'images');

define('IMAGE_THUMB_NAME', 'thumbnails');

// Le chemin (path) complet du répertoire images
define('IMAGE_DIR_PATH', $_SERVER['DOCUMENT_ROOT'] . '/' . WEB_DIR_NAME . '/' . IMAGE_DIR_NAME . '/');

// L'URL du répertoire image
define('IMAGE_DIR_URL', 'http://' . $_SERVER['HTTP_HOST'] . '/' . WEB_DIR_NAME . '/' . IMAGE_DIR_NAME . '/');

define('WEB_DIR_URL', 'http://' . $_SERVER['HTTP_HOST'] . '/' . WEB_DIR_NAME . '/');

define('THUMB_DIR_PATH', $_SERVER['DOCUMENT_ROOT'] . '/' . WEB_DIR_NAME . '/' . IMAGE_DIR_NAME . '/' . IMAGE_THUMB_NAME . '/');

define('THUMB_DIR_URL', 'http://' . $_SERVER['HTTP_HOST'] . '/' . WEB_DIR_NAME . '/' . IMAGE_DIR_NAME . '/' . IMAGE_THUMB_NAME . '/');

ini_set('display_errors', 1);
ini_set('log_errors', 0);
ini_set('error_log', '../log_error_php.txt');